Plugin Get Logs
Stream logs for a supervised plugin. If the plugin is running, this endpoint streams live logs after existing log history is sent. External plugins do not have host-managed logs and this endpoint returns a bad request error for external mode.
Stream logs for a supervised plugin.
If the plugin is running, this endpoint streams live logs after existing log history is sent.
External plugins do not have host-managed logs and this endpoint returns a bad request error for external mode.
/plugins/{plugin_instance_id}/logsAuthorization
browser In: cookie
Path Parameters
Plugin ID.
xidResponse Body
text/event-stream
application/json
curl -X GET "https://loading/api/plugins/cc5lnd2s1s4652adtu50/logs""string"{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Plugin Get Configuration Schema GET
Returns the configuration schema for a plugin as defined in its manifest file. The schema should be used to render a configuration form for the plugin in the client so that administrators can configure the plugin.
Plugin List GET
List all plugins that are installed on the instance.